KintsugiKintsugi
API reference / Get exemption by id

Get exemption by id

GET/v1/exemptions/{exemption_id}

The Get Exemption By ID API retrieves a specific exemption record by its unique ID. This API is useful for retrieving detailed information about a particular exemption, including its associated customer, organisation id, status, etc.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

x-organization-idstringRequired

Identifies the organization this request acts on.

Path parameters

exemption_idstringRequired

The unique identifier for the exemption being retrieved.

Response

exemption_typeExemptionTypeRequired

The type of exemption (e.g., wholesale, resale)

Available options:customerwholesaletransaction
jurisdictionstring

The jurisdiction identifier for the exemption

country_codeCountryCodeEnum

Country code in ISO 3166-1 alpha-2 format (e.g., 'US')

Available options:AFAXALDZASADAOAIAQAGARAMAWAUATAZBSBHBDBBBYBEBZBJBMBTBOBQBABWBVBRIOBNBGBFBICVKHCMCAKYCFTDCLCNCXCCCOKMCGCDCKCRHRCUCWCYCZDKDJDMDOECEGSVGQEREESZETFKFOFJFIFRGFPFTFGAGMGEDEGHGIGRGLGDGPGUGTGGGNGWGYHTHMVAHNHKHUISINIDIRIQIEIMILITCIJMJPJEJOKZKEKIKPKRKWKGLALVLBLSLRLYLILTLUMOMGMWMYMVMLMTMHMQMRMUYTMXFMMDMCMNMEMSMAMZMMNANRNPNLNCNZNINENGNUNFMKMPNOOMPKPWPSPAPGPYPEPHPNPLPTPRQARERORURWBLSHKNLCMFPMVCWSSMSTSASNRSSCSLSGSXSKSISBSOZAGSSSESLKSDSRSJSECHSYTWTJTZTHTLTGTKTOTTTNTRTMTCTVUGUAAEGBUSUMUYUZVUVEVNVGVIWFEHYEZMZWXKZZ_EU
start_datestringRequired

Start date for the exemption validity period (YYYY-MM-DD format)

end_datestring

End date for the exemption validity period (YYYY-MM-DD format)

customer_idstring

Unique identifier for the customer associated with the exemption

transaction_idstring

Unique identifier for the transaction associated with the exemption, if applicable.

resellerboolean

Indicates whether the exemption is for a reseller

FEINstring

Federal Employer Identification Number associated with the exemption.

sales_tax_idstring

Sales tax ID for the exemption

statusExemptionStatus

The status of the exemption. Defaults to ACTIVE if not provided.

Available options:ACTIVEINACTIVEEXPIREDDEACTIVATEDARCHIVED
idstringRequired
customer_namestring
attachment_idstring
200

Successfully retrieved exemption by id

404

Resource not found

422

Validation issues, such as missing required fields or invalid field values.

500

Internal Server Error

cURL
GET /v1/exemptions/{exemption_id}
-H "x-api-key: ***"
-H "x-organization-id: ***"
Example request
https://api.trykintsugi.com/v1/exemptions/{exemption_id}
Response
{
"updated_at": "2025-01-11T14:36:51.305151",
"created_at": "2025-01-11T14:36:51.302033",
"jurisdiction": "CA",
"start_date": "2024-01-01",
"customer_id": "cust_H5NTxERcncfEN",
"sales_tax_id": "ST",
"id": "exmp_vtWfyrER36irZ",
"exemption_type": "wholesale",
"country_code": "US",
"end_date": "2025-01-01",
"reseller": true,
"FEIN": "random",
"status": "ACTIVE",
"organization_id": "orgn_argaLQwMy2fJc"
}